Open a case review
409 while one is open on the animal. Needs write on Animals.
POST
https://{organization}.rescueconsole.com
/
api
/
animals
/
animals
/
{id}
/
case-reviews
Open a case review
curl --request POST \
--url https://{organization}.rescueconsole.com/api/animals/animals/{id}/case-reviews \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"outcome": "Adoption only to an adult home with no other dogs",
"reason": "Lunges at dogs behind the fence."
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
outcome: 'Adoption only to an adult home with no other dogs',
reason: 'Lunges at dogs behind the fence.'
})
};
fetch('https://{organization}.rescueconsole.com/api/animals/animals/{id}/case-reviews', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{organization}.rescueconsole.com/api/animals/animals/{id}/case-reviews"
payload = {
"outcome": "Adoption only to an adult home with no other dogs",
"reason": "Lunges at dogs behind the fence."
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"review": {
"id": "<string>",
"animal_id": "<string>",
"outcome": "<string>",
"status": "open",
"signoffs": [
{
"person_id": "<string>",
"agrees": true,
"signed_at": "2023-11-07T05:31:56Z",
"name": "<string>",
"note": "<string>"
}
],
"reason": "<string>",
"decision": "proceed",
"decision_note": "<string>",
"decided_by_name": "<string>",
"decided_at": "2023-11-07T05:31:56Z",
"opened_by_name": "<string>",
"opened_at": "2023-11-07T05:31:56Z",
"rules": {},
"history": {},
"standing": {
"rules": {
"signoffs_required": 5,
"min_days_in_care": 30,
"check_reasons": [
"<string>"
]
},
"agreed": 123,
"days_in_care": 123,
"can_proceed": true
}
}
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}⌘I
Open a case review
curl --request POST \
--url https://{organization}.rescueconsole.com/api/animals/animals/{id}/case-reviews \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"outcome": "Adoption only to an adult home with no other dogs",
"reason": "Lunges at dogs behind the fence."
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
outcome: 'Adoption only to an adult home with no other dogs',
reason: 'Lunges at dogs behind the fence.'
})
};
fetch('https://{organization}.rescueconsole.com/api/animals/animals/{id}/case-reviews', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{organization}.rescueconsole.com/api/animals/animals/{id}/case-reviews"
payload = {
"outcome": "Adoption only to an adult home with no other dogs",
"reason": "Lunges at dogs behind the fence."
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"review": {
"id": "<string>",
"animal_id": "<string>",
"outcome": "<string>",
"status": "open",
"signoffs": [
{
"person_id": "<string>",
"agrees": true,
"signed_at": "2023-11-07T05:31:56Z",
"name": "<string>",
"note": "<string>"
}
],
"reason": "<string>",
"decision": "proceed",
"decision_note": "<string>",
"decided_by_name": "<string>",
"decided_at": "2023-11-07T05:31:56Z",
"opened_by_name": "<string>",
"opened_at": "2023-11-07T05:31:56Z",
"rules": {},
"history": {},
"standing": {
"rules": {
"signoffs_required": 5,
"min_days_in_care": 30,
"check_reasons": [
"<string>"
]
},
"agreed": 123,
"days_in_care": 123,
"can_proceed": true
}
}
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}
